Subject: Re: [ANNOUNCE] GIT 1.6.4.rc1

From: Jeff Garzik <[email-masked]>
Date: Thu, 16 Jul 2009 03:15:27 -0400

Junio C Hamano wrote:
> Jeff Garzik <[email-masked]> writes:
> 
>> I want to publish this tree to the world via a *.kernel.org-like
>> system, so my task is to
>>
>> 	scp -r /spare/repo/cld/.git remote.example.com:/pub/scm/cld.git
>>
>> but if I do this with scp, then future pushes to
>> remote.example.com:/pub/scm/cld.git emit the warning about updating
>> the currently checked-out branch
> 
> I think "scp -r" is a wrong way to "clone", as it will copy .git/config
> that is specific to your local work tree that does not apply to the
> situation at remote.example.com anyway.  You do not want to push into your
> local repository with a work tree you are "scp -r"ing out of, but you do
> want to push into the one at remote.example.com.
> 
> Interestingly enough, we had a two separate thread about making a bare
> repository out of a repository with a work tree today ;-)
> 
> 	remote.example.com$ cd /pub/scm/
>         remote.example.com$ git clone --bare over.there:/spare/repo/cld/.git cld.git

That direction doesn't work due to firewalls, hence the scp out /to/ 
remote.example.com.

So, will this make git happy?  :)

[starting on local machine, where I do development]
1) scp -r /spare/repo/cld remote.example.com:/tmp

2) ssh remote.example.com

3) cd /pub/scm

4) git clone --bare /tmp/cld/.git cld.git

Regards,

	Jeff